## bacula-doc 13.0.4+debian1

=== debian/changelog ===
bacula-doc (13.0.4+debian1-1) unstable; urgency=medium

  [ Sven Hartge ]
  * New upstream version 13.0.4
  * Update patches

  [ Carsten Leonhardt ]
  * Source changed significantly (Closes: #1073463).
  * Repack upstream source to not include premade files and vendored
    latex2html versions (Closes: #1043816).
  * Do not ship HTML versions of the documentation as that seems to need
    the vendored, modified version of latex2html now.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 24 Nov 2024 14:36:16 +0100

=== debian/control ===
Source: bacula-doc
Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
Uploaders:
 Carsten Leonhardt <leo@debian.org>,
Section: doc
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 figlet | toilet,
 gawk,
 inkscape (>= 1.0),
 latex2html (>= 2018.3-debian1-4~),
 libhtml-parser-perl,
 libhtml-treebuilder-libxml-perl,
 lmodern,
 texlive-base,
 texlive-fonts-extra,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended (>=2018.20190122),
 texlive-plain-generic,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/bacula-team/bacula-docs
Vcs-Git: https://salsa.debian.org/bacula-team/bacula-docs.git
Homepage: https://www.bacula.org/

Package: bacula-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Documentation for Bacula
 This package provides the documentation for Bacula, a backup program
 that permits you to manage backup, recovery, and verification of
 computer data across a network of computers of different kinds.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# needed for latex2html
export TEXINPUTS=`pwd`/latex

# see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
export FORCE_SOURCE_DATE := 1

%:
	dh $@ --no-parallel


# check result manually!
update-copyright:  LICENSE debian/template.copyright
	cp debian/template.copyright debian/copyright
# take copyright statement from the LICENSE file
	grep "^Copyright (C)" LICENSE | head -n 1 >> debian/copyright
	echo "\nLicense:" >> debian/copyright
# add the license file
	cat LICENSE >> debian/copyright
# remove trailing whitespaces
	wrap-and-sort -f debian/copyright

## bacula-doc 15.0.2+debian1

=== debian/changelog ===
bacula-doc (15.0.2+debian1-2) unstable; urgency=medium

  * Complies to standards version to 4.7.2.
  * Backport fixes from upstream:
      - Missing volume encryption chapter
      - SyncOnClose default value changed to yes
  * Add fix for volume encryption chapter

 -- Carsten Leonhardt <leo@debian.org>  Fri, 28 Feb 2025 15:45:03 +0100

bacula-doc (15.0.2+debian1-1) unstable; urgency=low

  * Complies to standards version to 4.7.0.
  * Upload to unstable.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 20 Feb 2025 00:27:24 +0100

bacula-doc (15.0.2+debian1-1~exp1) experimental; urgency=medium

  * New upstream version 15.0.2

 -- Carsten Leonhardt <leo@debian.org>  Sat, 30 Nov 2024 15:04:34 +0100

## bacula-doc 15.0.3%2Bdebian1

=== Makefile ===
#
#-------------------------------------------------------------------------
SHELL = /bin/sh

AT=@

#
# bacula.env file is a local file to define specific values if any
# bacula.env.dist is a template for it.
BACULAENVFILE=bacula.env
ENVFILE=$(shell [ -e ./$(BACULAENVFILE) ] && echo "OK")
ifeq ($(ENVFILE),OK)
  include $(BACULAENVFILE)
  $(info Found env file $(BACULAENVFILE).)
else
  $(error No environment file "$(BACULAENVFILE)" found. You can copy "$(BACULAENVFILE).dist" to "$(BACULAENVFILE)" and adjust some definitions.)
endif
#
# Where is latex2html tool
BLATEX2HTMLDIR=$(CURDIR)/latex2html-2016
#
# LaTeX directory to build bacula documentation (classes and layout)
LATEX_DIR=$(CURDIR)/latex
#
# latex2html requirements:
## - The latex2html Makefile is required to build latex2html accordingly to our needs
LATEX2HTMLMAKEFILE=$(BLATEX2HTMLDIR)/Makefile
## Destination of the build of latex2html (make install)
BBINDIR=$(CURDIR)/latex2html
## tex files location for latex2html
BTEXDIR=$(LATEX_DIR)/latex2html
## Perl5 libraries to build
PERL5LIB=$(BLATEX2HTMLDIR)
## Files required for latex2html process when compiling tex files.
TRANSLATEIMGS=$(CURDIR)/manuals/translate_images.pl
LATEX2HTMLINIT=$(CURDIR)/manuals/latex2html-init.pl
## latex2html binary
LATEX2HTML=$(BBINDIR)/bin/latex2html
## Tool directory for the post-process
TOOLS_DIR=$(CURDIR)/tools
#
# PDF to latex compiler
ifneq ($(TEX_TO_PDF),)
  $(info Using $(TEX_TO_PDF) compiler.)
else
  $(info PDF compiler $(TEX_TO_PDF) undefined.)
  TEX_TO_PDF=pdflatex
endif
COMPILER=$(shell which $(TEX_TO_PDF))
ifneq ($(COMPILER),)
  $(info Compiler $(COMPILER) found.)
else
# This will *stop* the Makefile
  $(error Unable to find $(TEX_TO_PDF))
endif
#
# For version.tex building process
## bacula source directory
ifeq ($(BACULASRC),)
  BACULASRC=$(HOME)
endif
# Location of the version.h file
VERSION_H=$(shell find $(BACULASRC) -name "version.h" -print)
ifeq ($(VERSION_H),)
  $(error Unable to find version.h in Bacula source tree $(BACULASRC).)
else
  $(info $(VERSION_H) file found into $(dir $(VERSION_H)))
endif
## Bacula source directory (in the version.h point of view)
SOURCES_DIR=$(dir $(VERSION_H))
## Location and name for the version.tex file
VERSION_TEX=$(LATEX_DIR)/version.tex
#
# Directories required
## images 
IMAGES_DIR=$(CURDIR)/images
PNGIMAGES_DIR=$(IMAGES_DIR)/png
JPGIMAGES_DIR=$(IMAGES_DIR)/jpg
SVGIMAGES_DIR=$(IMAGES_DIR)/svg
## covers for manuals
COVERS_DIR=$(CURDIR)/covers
## PDF covers
PDFCOVERS_DIR=$(COVERS_DIR)/pdf
## SVG covers
SVGCOVERS_DIR=$(COVERS_DIR)/svg
## Licence files
LICENCE_DIR=$(MANUALS_DIR)/licences
## Coverpage name. There is only one coverpage used by the .cls LaTeX class file.
BMANUAL_NAME=bcoverpage
#
# Makefiles
## The following Makefile is unique for PDF building and is used whatever the manual is.
GENERAL_MAKEFILE=$(CURDIR)/manuals/Makefile
## The following Makefile is unique for HTML building and is used whatever the manual is.
WEB_MAKEFILE=$(CURDIR)/manuals/web.makefile

export BACULAVERSION
export PERL5LIB
export LATEX_DIR
export IMAGES_DIR
export COVERS_DIR
export PDFCOVERS_DIR
export SVGCOVERS_DIR
export LICENCE_DIR
export BMANUAL_NAME
export COMPILER
export COVERPAGE_NAME
export GENERAL_MAKEFILE
export WEB_MAKEFILE
export LATEX2HTMLINIT
export TRANSLATEIMGS
export LATEX2HTML
export TOOLSDIR
export VERSION_TEX
export TOOLS_DIR
export PNGIMAGES_DIR
export JPGIMAGES_DIR
export SVGIMAGES_DIR
export SVGCOVERS_DIR

externalreferencesfile=$(LATEX_DIR)/external-references.tex

# Installation target directories & other installation stuff
prefix = /usr/local
exec_prefix = ${prefix}
binprefix =
manprefix =
sbindir = ${exec_prefix}/sbin
sysconfdir = ${prefix}/etc
scriptdir = @scriptdir@
mandir = ${datarootdir}/man/man1
manext = 1
datarootdir=${prefix}/share


# Tools & program stuff
MV = /bin/mv
RM = /bin/rm
RMF = /bin/rm -f
CP = /bin/cp
SED = @SED@
AWK = /usr/bin/gawk
ECHO = /bin/echo
CMP = @CMP@
INSTALL = /usr/bin/install -c
# add the -s to the following in PRODUCTION mode
INSTALL_PROGRAM = /usr/bin/install -c -m @SBINPERM@
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_SCRIPT = /usr/bin/install -c -m @SBINPERM@
INSTALL_CONFIG = /usr/bin/install -c -m 640


# End of common section of the Makefile
#-------------------------------------------------------------------------

srcdir =	.
.PHONY: latex2html
.PATH:		.

basedir = ..
topdir = ..
thisdir = docs
TRANSLATE=./htmls.sh

#
# Distribution variables
#

de_dirs = manuals/de/console manuals/de/developers manuals/de/main \
  manuals/de/misc manuals/de/problems manuals/de/utility


en_dirs = manuals/en/concept manuals/en/console manuals/en/developers manuals/en/main \
  manuals/en/misc manuals/en/problems manuals/en/utility

es_dirs = manuals/es/console manuals/es/developers manuals/es/main \
  manuals/es/misc manuals/es/problems manuals/es/utility

fr_dirs = manuals/fr/console manuals/fr/developers manuals/fr/main \
  manuals/fr/misc manuals/fr/problems manuals/fr/utility

image_dirs = images/svg
all_dirs = ${de_dirs} ${en_dirs} ${es_dirs} ${fr_dirs} ${image_dirs}

#-------------------------------------------------------------------------

en: all

all:	$(VERSION_TEX) latex2html pdf-manuals html-manuals
	$(AT)echo ""
	$(AT)echo "All manuals built ..."
	$(AT)echo ""
	$(AT)echo ""
	$(AT)echo ""

latex2html: $(BBINDIR)

$(BBINDIR): $(LATEX2HTMLMAKEFILE)
	$(AT)$(MAKE) -C $(BLATEX2HTMLDIR) && $(MAKE) -C $(BLATEX2HTMLDIR) install

$(LATEX2HTMLMAKEFILE):
	$(AT)echo "Building latex2html Makefile"
	$(AT)(cd ${BLATEX2HTMLDIR} ; ./configure --prefix=${BBINDIR} --with-texpath=${BTEXDIR})
	$(AT)echo "Makefile installed."

pdf-manuals: external-references
	$(AT)echo " "
	$(AT)echo "Generating PDF manuals..."
	$(AT)for I in ${en_dirs}; \
	  do $(MAKE) -C $$I pdflatex || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; echo ""; echo ""; exit 1;); done

#(cd $$I; echo "==>Entering directory `pwd`"; \
	      	done
	$(AT)echo ""
	$(AT)echo "All PDF manuals built ..."
	$(AT)echo ""
	$(AT)echo ""
	$(AT)echo ""

html-manuals:
	$(AT)echo " "
	$(AT)echo "Creating Web documentation..."
	$(AT)for I in ${en_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) web || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done
	$(AT)echo "Handling external references"
	$(AT)for I in ${en_dirs} ;\
	  do (cd $$I ; $(MAKE) references ||  (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done
	$(AT)echo "Remove links ..."
	$(AT)find . -type l -exec rm {} \;
	$(AT)echo ""
	$(AT)echo "All HTML manuals built ..."
	$(AT)echo ""
	$(AT)echo ""
	$(AT)echo ""


templates:
	$(AT)echo " "
	$(AT)echo -n "Linking templates.."
	$(AT)mkdir -p ~/texmf/tex/latex/bsys/
	$(AT)if [ ! -e  ~/texmf/tex/latex/bsys/bsysmanual ] || [ -h ~/texmf/tex/latex/bsys/bsysmanual ]; \
	   then\
		ln -sf `pwd`/bsysmanual ~/texmf/tex/latex/bsys/;\
	fi
	mktexlsr ~/texmf
	$(AT)echo "Done"

external-references:
	$(AT)echo " "
	$(AT)echo -n "Building external references file"
	$(AT)find ${en_dirs} -mindepth 0 -maxdepth 1 -name "*tex" -exec grep -q '\label' {} \; -print| awk -F/ '{ print "\\externaldocument[" $$3 "-]{../"$$3"/"$$4"}"}'|sed -e 's/.tex//g' > ${externalreferencesfile}
	$(AT)for I in ${en_dirs}; \
	  do $(MAKE) -C $$I $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; echo ""; echo ""; exit 1;); done
	$(AT)echo "All $@ built ..."
	$(AT)echo "External references for all manuals built."

bacula-web:
	$(AT)(if [ -x bacula-web ]; then cd bacula-web; make; fi)

fr:	french

french:
#	$(AT)for I in ${fr_dirs}; do (if [ -x $$I ]; then cd $$I; cp -f ../../version.tex .; fi); done
	$(AT)for I in ${fr_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done

de:	german

german:
#	$(AT)for I in ${de_dirs}; do (if [ -x $$I ]; then cd $$I; cp -f ../../version.tex .; fi); done
	$(AT)for I in ${de_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done

es:	spanish

spanish:
#	$(AT)for I in ${es_dirs}; do (if [ -x $$I ]; then cd $$I; cp -f ../../version.tex .; fi); done
	$(AT)for I in ${es_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done


$(basedir)/$(VERNAME).lsm: LSM.in $(srcdir)/../autoconf/Make.common.in $(srcdir)/../src/version.h
	$(SED) $(SEDREPLACE) < $(srcdir)/LSM.in > $@

clean:
	$(AT)$(RMF) *~ 1 2 3 bacula-doc*.tar.gz
	$(AT)(if [ -x bacula-web ] ; then cd bacula-web; make clean; fi)
	$(AT)for I in ${all_dirs}; \
	  do (if [ -x $$I ]; then cd $$I; echo "==>Entering directory `pwd`"; ${MAKE} $@ || exit 1; fi); done


realclean: clean

distclean: $(LATEX2HTMLMAKEFILE) clean
	$(AT)(cd $(BLATEX2HTMLDIR) ; make $@)
	$(AT)rm -rf $(BBINDIR)
	$(AT)rm -rf $(BTEXDIR)
	$(AT)$(RMF) -r CVS html-manual/CVS home-page/CVS techlogs/CVS
	$(AT)$(RMF) -rf autom4te.cache bacula-doc-* config.log config.out
	$(AT)$(RMF) -f config.status kernsconfig
	$(AT)(if [ -x bacula-web ] ; then cd bacula-web; make clean; fi)
	$(AT)for I in ${all_dirs}; \
	  do (if [ -x $$I ]; then ${MAKE} -C $$I $@ || exit 1; fi); done
	$(AT)rm -f ${VERSION_TEX}
	$(AT)rm -f ${externalreferencesfile}



devclean:

depend:

install:
#	$(INSTALL_DATA) bacula.1 $(DESTDIR)$(mandir)/$(manprefix)bacula.$(manext)

uninstall:
#	-cd $(mandir); $(RMF) $(manprefix)bacula.$(manext)


version: $(VERSION_TEX)

$(VERSION_TEX): $(VERSION_H)
	$(info Building version.tex)
	$(AT)bacula=$(abspath $(SOURCES_DIR)../..) versionh=$(VERSION_H) versiontex=$(VERSION_TEX) ./update_version


verbose:
	$(AT)echo "version.h file: $(VERSION_H)\n"
	$(AT)echo "version.h directory: $(SOURCES_DIR)\n"
	$(AT)echo "version.tex file: $(VERSION_TEX)"
	$(AT)echo "LATEX2HTML_OK: $(LATEX2HTML_OK)"
	$(AT)echo "TEX_TO_PDF: >$(TEX_TO_PDF)<"
	$(AT)echo "TEX_TO_PDF_OK: $(TEX_TO_PDF_OK)"

## bacula-doc 15.0.3+debian1

=== manuals/Makefile ===
#
# manual.env file is a local file to define specific values if any
# manual.env.dist is a template for it.
MANUALENVFILE=manual.env
ENVFILE=$(shell [ -e ./$(MANUALENVFILE) ] && echo "OK")
ifeq ($(ENVFILE),OK)
  include $(MANUALENVFILE)
  REALMANUALENV=$(realpath ./$(MANUALENVFILE))
else
  $(error No environment file "$(MANUALENVFILE)" found. You can copy "$(MANUALENVFILE).dist" to "$(MANUALENVFILE)" and adjust some definitions.)
endif

AT=@
#
# WARNING !!! The following works *ONLY* when using MAKE with $(MAKE) -C subdir invocation.
LICENCE_FILES=$(wildcard $(LICENCE_DIR)/*.tex)
WWW_DIR=./www-$(DOC)
HTML_DIR=$(abspath ./html)
export HTML_DIR
TEX_FILES=$(wildcard *tex)
WEB_FILES_TO_LINK=$(TRANSLATEIMGS) $(LATEX2HTMLINIT)
#
# pdflatex commands and/or compilation directives
PDFLATEX=$(COMPILER)
PDFLATEXSILENT=batchmode
PDFLATEXVERBOSE=errorstopmode
PDFLATEXOPTIONS=-halt-on-error -interaction=$(PDFLATEXSILENT) # $(PDFLATEXVERBOSE) # 
PDFOUTPUT="> $(DOC).out 2>&1"
#
# Makefile used to produce HTML documentation
EXTSEDFILES=html-external-references.sed
INTSEDFILE=html-internal-references.sed

first_rule: all

# special option for pdflatex to find custom shared tex libraries
TEXINPUTS=.:$(LATEX_DIR)://:
export TEXINPUTS

ifeq ($(DOC),main)
  TLS=extract-tls
  CLEANTLS=cleantls
else
  TLS=
  CLEANTLS=
endif

all: $(TLS) pdflatex web mini-clean

extract-tls: tls.tex
	$(TOOLS_DIR)/extract.pl TLS FileDaemon:FileDaemon tls.tex > FileDaemonFileDaemonTls.tex
	$(TOOLS_DIR)/extract.pl TLS FileDaemon:Director tls.tex > FileDaemonDirectorTls.tex
	$(TOOLS_DIR)/extract.pl TLS Storage:Storage tls.tex > StorageStorageTls.tex
	$(TOOLS_DIR)/extract.pl TLS Storage:Director tls.tex > StorageDirectorTls.tex
	$(TOOLS_DIR)/extract.pl TLS Console:Console tls.tex > ConsoleConsoleTls.tex
	$(TOOLS_DIR)/extract.pl TLS Console:Director tls.tex > ConsoleDirectorTls.tex
	$(TOOLS_DIR)/extract.pl TLS Director:Client tls.tex > DirectorClientTls.tex
	$(TOOLS_DIR)/extract.pl TLS Director:Console tls.tex > DirectorConsoleTls.tex
	$(TOOLS_DIR)/extract.pl TLS Director:Storage tls.tex > DirectorStorageTls.tex
	$(TOOLS_DIR)/extract.pl TLS Director:Director tls.tex > DirectorDirectorTls.tex
	touch extract-tls




.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:

verbose:
	$(AT)echo "SVG Covers dir:" $(SVGCOVERS_DIR)
	$(AT)echo "PDF Covers dir:" $(PDFCOVERS_DIR)
	$(AT)echo "Coverpage name:" $(COVERPAGE_NAME)
	$(AT)echo "LaTeX dir:" $(LATEX_DIR)
	$(AT)echo "Bmanual name:" $(BMANUAL_NAME)
	$(AT)echo "TEXINPUTS: " $(TEXINPUTS)
	$(AT)echo "WWW_DIR:" $(WWW_DIR)
	$(AT)echo "TeX files: " $(TEX_FILES)
	$(AT)echo "Makefile for the web:" $(WEB_MAKEFILE)
	$(AT)echo "Web files to link: " $(WEB_FILES_TO_LINK)
	$(AT)echo "HTML files: " $(HTML_FILES)

pdfcovers:
	$(AT)echo -n "Linking coverpage and background PDF format..."
	$(AT)(if [ -e $(SVGCOVERS_DIR) ]; then $(MAKE) -C $(SVGCOVERS_DIR) pdf; fi)
	$(AT)ln -sf $(PDFCOVERS_DIR)/$(COVERPAGE_NAME).pdf $(LATEX_DIR)/$(BMANUAL_NAME).pdf
	$(AT)echo "Done."

pdfimages: 
	$(AT)echo "Converting SVG to PDF images..."
	$(AT)(if [ -e $(IMAGES_DIR)/svg ]; then $(MAKE) -C $(IMAGES_DIR)/svg pdf; fi)
	$(AT)echo "Done."

pngimages:
	$(AT)echo "Converting SVG to PNG images..."
	$(AT)(if [ -e $(IMAGES_DIR)/svg ]; then $(MAKE) -C $(IMAGES_DIR) png; fi)
	$(AT)echo "Done."

pdflatex: external-references PDF.figlet
	$(AT)echo " "
	$(AT)cat PDF.figlet
	$(AT)makeindex -s $(DOC).ist ${DOC}.idx -o ${DOC}.ind 2>/dev/null
	$(AT)$(PDFLATEX) $(PDFLATEXOPTIONS) ${DOC}.tex $(PDFOUTPUT)
	$(AT)$(PDFLATEX) $(PDFLATEXOPTIONS) ${DOC}.tex $(PDFOUTPUT)
	$(AT)echo "$(DOC).pdf generated."
	$(AT)mkdir -p pdf
	$(AT)cp $(DOC).pdf pdf/

external-references: $(TLS) REF.figlet pdfcovers pdfimages
	$(AT)echo " "
	$(AT)cat REF.figlet
	$(AT)$(PDFLATEX) $(PDFLATEXOPTIONS) ${DOC}.tex $(PDFOUTPUT)
	$(AT)echo "$(DOC) external references done."

web: mini-clean HTML.figlet
	$(AT)echo ""
	$(AT)cat HTML.figlet
	$(AT)rm -rf $(WWW_DIR)
	$(AT)mkdir -p $(WWW_DIR)
	$(AT)(for F in $(TEX_FILES) ;\
	do \
	cat $$F | sed -f ../bpattern > $(WWW_DIR)/$$F ; \
	done)
	$(AT)cat $(LATEX_DIR)/bcoverpage.tex | sed -f ../bpattern > $(WWW_DIR)/bcoverpage.tex
	$(AT)ln -sf $(WEB_MAKEFILE) $(WWW_DIR)/Makefile
	$(AT)(if [ -e $(REALMANUALENV) ]; then ln -sf $(REALMANUALENV) $(WWW_DIR)/$(MANUALENVFILE); fi)
	$(AT)(for F in $(WEB_FILES_TO_LINK);\
	do \
	ln -sf $$F $(WWW_DIR)/;\
	done)
	$(AT)mkdir -p html
	$(AT)$(MAKE) -C $(WWW_DIR)
	$(AT)(for F in $(HTML_DIR)/*.html; do sed -i -f ../afterhtml $$F ; for H in ../*/$(EXTSEDFILES) ./$(INTSEDFILE) ; do sed -i -f $$H $$F ; done ; done)
	$(AT)echo "HTML $(DOC) done."

references:
	$(AT)(for F in $(HTML_DIR)/*.html ; do for H in ../*/$(EXTSEDFILES) ./$(INTSEDFILE); do sed -i -f $$H $$F ; done ; done)

show:
	xdvi $(DOC)

texcheck:
	./check_tex.pl $(DOC).tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	$(AT)rm -f 1 2 3 *~
	$(AT)rm -f *.gif *.jpg
	$(AT)rm -f *.cp *.fn *.ky *.log *.pg
	$(AT)rm -f *.backup *.ilg *.lof *.lot
	$(AT)rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	$(AT)rm -f *.dnd *.old *.out 
	$(AT)rm -f $(DOC)/*.gif $(DOC)/*.jpg
	$(AT)rm -f $(DOC)/*.aux $(DOC)/*.cp $(DOC)/*.fn $(DOC)/*.ky $(DOC)/*.log $(DOC)/*.pg
	$(AT)rm -f $(DOC)/*.backup $(DOC)/*.ilg $(DOC)/*.lof $(DOC)/*.lot
	$(AT)rm -f $(DOC)/*.cdx $(DOC)/*.cnd $(DOC)/*.ddx $(DOC)/*.ddn $(DOC)/*.fdx $(DOC)/*.fnd $(DOC)/*.ind $(DOC)/*.sdx $(DOC)/*.snd
	$(AT)rm -f $(DOC)/*.dnd $(DOC)/*.old $(DOC)/*.out
	$(AT)rm -f $(DOC)/WARNINGS
	$(AT)rm -rf html


clean: mini-clean
	$(AT)find . -type f -name "$(DOC).mtc*" -exec rm {} \;
	$(AT)find . -type l -name "*.tex" -exec rm {} \;
	$(AT)rm -f 1 2 3 *.tex~
	$(AT)rm -f *.png *.gif *.jpg
	$(AT)rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	$(AT)rm -f *.html *.backup *.ps *.dvi *.ilg *.lof *.lot
	$(AT)rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd *.maf *.mst *.mw
	$(AT)rm -f *.dnd imagename_translations
	$(AT)rm -f *.old WARNINGS *.out *.toc *.idx
	$(AT)rm -f $(DOC)i-*.tex
	$(AT)rm -rf $(DOC)
	$(AT)rm -f $(INTSEDFILE) $(EXTSEDFILES) html-external-references

webclean:
	$(AT)rm -rf $(WWW_DIR)
	$(AT)rm -f bcoverpage.tex
	$(AT)rm -rf ../images

distclean: webclean clean $(CLEANTLS)
	$(AT)rm -f images.pl labels.pl internals.pl
	$(AT)rm -f version.tex
	$(AT)rm -rf html
	$(AT)rm -rf pdf
	$(AT)rm -f *.figlet *~
	$(AT)$(MAKE) -C $(SVGCOVERS_DIR) $@
	$(AT)rm -f $(LATEX_DIR)/$(BMANUAL_NAME).pdf

cleantls:
	$(info Cleaning TLS files)
	$(AT)rm -f *Tls.tex extract-tls

# The following is not called but explains how the files were generated.
REF.figlet:
	$(AT)figlet "$(BACULAVERSION) $(DOC) cross-references" > REF.figlet

PDF.figlet:
	$(AT)figlet "$(BACULAVERSION) $(DOC) PDF" > PDF.figlet

HTML.figlet:
	$(AT)figlet "$(BACULAVERSION) $(DOC) HTML" > HTML.figlet

figlet: REF.figlet PDF.figlet HTML.figlet

=== covers/svg/Makefile ===
#
# Makefile for converting svg files
# to something else: png, pdf, eps
#
# There would be absolutely no reason, at all, to produce EPS neither PNG of this covers. Anyway you can do it it you want to.
#
# 22-oct-2020 - Philippe Chauvat / Bacula Systems
#		Better handling process for SVG files
#		Inkscape does not recognize .template files as inkscape when opening/closing/saving them
#		Source files are now: .svg then will be moved to .tpl and compiled as .pdf
#		Template files are therefore intermediate and can be deleted if needed.
# 27-jul-2017 - Philippe Chauvat / Bacula Systems : Improvements with date and version management
#               Work is based on svg files named *.template which contain __BVERSION__ and __BDATE__
#		These "variables" are going to be seded to the current version and the current date.
# 10-Oct-2012 - Philippe Chauvat / Bacula Systems
# 
INKSCAPE=inkscape
VERSION=$(shell $(INKSCAPE) -V 2>/dev/null|cut -d ' ' -f2|cut -d'.' -f1)
VERBOSE=FALSE
ifeq ($(VERBOSE),TRUE)
	HIDE=
else
	HIDE=@
endif

#
# Traitement de la compilation à partir de la version 1 d'Inkscape
ifeq ($(VERSION),1)
	INKSCAPE_FLAGS=-o
	SVG_TO_PDF=--export-type=pdf -C --export-pdf-version=1.5 -T $(INKSCAPE_FLAGS)
	SVG_TO_EPS=--export-type=eps -C -T $(INKSCAPE_FLAGS)
	SVG_TO_PNG=--export-type=png -C -T --export-dpi=120 $(INKSCAPE_FLAGS)
#
# Version 0.x
else
	INKSCAPE_FLAGS=-z -T -C
	SVG_TO_PDF=$(INKSCAPE_FLAGS) -A
	SVG_TO_EPS=$(INKSCAPE_FLAGS) -E
	SVG_TO_PNG=$(INKSCAPE_FLAGS) -e
endif
PDFDIR=../pdf
EPSDIR=../eps

TPLSVGS=$(shell grep -l '__' *.svg)
SVGS=$(shell grep -L '__' *.svg)
TPLS=$(TPLSVGS:.svg=.tpl)
PDFS=$(addprefix $(PDFDIR)/,$(SVGS:.svg=.pdf)) $(addprefix $(PDFDIR)/,$(TPLS:.tpl=.pdf))
EPSS=$(addprefix $(EPSDIR)/,$(SVGS:.svg=.eps)) $(addprefix $(EPSDIR)/,$(TPLS:.tpl=.eps))

BDATE := $(shell date +%Y-%m-%d)

all: tpl pdf

.SUFFIXES:
.PHONY:
.DONTCARE:

check:
	$(HIDE)echo "Template SVG files: $(TPLSVGS)"
	$(HIDE)echo "Regular SVG files: $(SVGS)"
	$(HIDE)echo "TPL files to be generated: $(TPLS)"
	$(HIDE)echo "PDFDIR: $(PDFDIR)"
	$(HIDE)echo "PDFs $(PDFS)"
	$(HIDE)echo "EPSDIR: $(EPSDIR)"

help:
	$(HIDE)echo "This Makefile handles .svg file containing parameters to .pdf format while replacing the parameters with their values."
	$(HIDE)echo "    Parameter should be __PARAMETER_NAME__ at least in one place"
	$(HIDE)echo "    This is the way the Makefile identifies the SVG file to convert. Other SVG files will be directly exported into PDF directly"
	$(HIDE)echo "The process is in two steps:"
	$(HIDE)echo "  a) SVG to TPL file which will replace the parameters with their respective value"
	$(HIDE)echo "  b) TPL to PDF. As inkscape is complaining about .tpl not being an expected file extension"
	$(HIDE)echo "     both STDERR and STDOUT are sent to their .svg_error file"
#
# PDF images creation
pdf: tpl $(TEMPLATES) $(PDFS)

tpl: $(TPLS)

$(TPLS): $(VERSION_TEX)

%.tpl: %.svg
	$(HIDE)echo "$< :   Handling version number and date"
	$(HIDE)sed "s/__BVERSION__/`awk '{print $$1}' $(VERSION_TEX)`/g" $< > $@
	$(HIDE)sed -i 's/__BEDITION__/$(BACULAVERSION)/g' $@
	$(HIDE)sed -i 's/__BDATE__/$(BDATE)/g' $@


$(PDFS): | $(PDFDIR)
$(PDFDIR):
	$(HIDE)echo "Creating PDF images directory..."
	$(HIDE)mkdir $(PDFDIR)
	$(HIDE)echo "Done"

$(PDFDIR)/%.pdf: %.tpl
	$(HIDE)echo "Converting $< to $@"
	$(HIDE)$(INKSCAPE) $(SVG_TO_PDF) $@ $< 1>$<.svg_error 2>$<.svg_error

$(PDFDIR)/%.pdf: %.svg
	$(HIDE)echo "$< :   Converting to PDF"
	$(HIDE)$(INKSCAPE) $(SVG_TO_PDF) $@ $<
#
# EPS images creation
eps: $(EPSS)
$(EPSS): | $(EPSDIR)
$(EPSDIR):
	$(HIDE)echo "Creating EPS images directory..."
	$(HIDE)mkdir $(EPSDIR)
	$(HIDE)echo "Done"

$(EPSDIR)/%.pdf: %.tpl
	$(HIDE)echo "Converting $< to $@"
	$(HIDE)$(INKSCAPE) $(SVG_TO_EPS) $@ $< 1>$<.svg_error 2>$<.svg_error

$(EPSDIR)/%.eps: %.svg
	$(HIDE)${INKSCAPE} ${INKSCAPE_FLAGS} ${SVG_TO_EPS} $(EPSDIR)/$@ $<

#
# PNG images creation
png: $(PNGS)
$(PNGS): | $(PNGDIR)
$(PNGDIR):
	$(HIDE)echo "Creating PNG images directory..."
	$(HIDE)mkdir $(PNGDIR)
	$(HIDE)echo "Done"

$(PNGDIR)/%.pdf: %.tpl
	$(HIDE)echo "Converting $< to $@"
	$(HIDE)$(INKSCAPE) $(SVG_TO_PNG) $@ $< 1>$<.svg_error 2>$<.svg_error

$(PNGDIR)/%.png: %.svg
	$(HIDE)${INKSCAPE} ${INKSCAPE_FLAGS} ${SVG_TO_PNG} $(PNGDIR)/$@ $<

clean:
	$(HIDE)rm -f $(TPLS)
	$(HIDE)(if [ -e $(PDFDIR) ]; then cd $(PDFDIR) ; rm -f $(PDFS); fi)
	$(HIDE)(if [ -e $(EPSDIR) ]; then cd $(EPSDIR) ; rm -f $(EPSS); fi)
	$(HIDE)(if [ -e $(PNGDIR) ]; then cd $(PNGDIR) ; rm -f $(PNGS); fi)
	$(HIDE)rm -f *~ *.svg_error

distclean: clean

=== images/svg/Makefile ===
#
# Makefile for converting svg files
# to something else: png, pdf, eps
#
# 25-nov-2020 - Philippe Chauvat / Bacula Systems
#		Porting what is done in covers to images to let them be including variables/parameters
# 22-oct-2020 - Philippe Chauvat / Bacula Systems
#		Improvements to handle Inkscape version
# 10-Oct-2012 - Philippe Chauvat / Bacula Systems
#
INKSCAPE=inkscape
VERSION=$(shell $(INKSCAPE) -V 2>/dev/null|cut -d ' ' -f2|cut -d'.' -f1)
VERBOSE=FALSE
ifeq ($(VERBOSE),TRUE)
	HIDE=
else
	HIDE=@
endif

#
# Traitement de la compilation à partir de la version 1 d'Inkscape
ifeq ($(VERSION),1)
	INKSCAPE_FLAGS=-o
	SVG_TO_PDF=--export-type=pdf -C --export-pdf-version=1.5 -T $(INKSCAPE_FLAGS)
	SVG_TO_EPS=--export-type=eps -C -T $(INKSCAPE_FLAGS)
	SVG_TO_PNG=--export-type=png -C -T --export-dpi=120 $(INKSCAPE_FLAGS)
#
# Version 0.x
else
	INKSCAPE_FLAGS=-z -T -C
	SVG_TO_PDF=$(INKSCAPE_FLAGS) -A
	SVG_TO_EPS=$(INKSCAPE_FLAGS) -E
	SVG_TO_PNG=$(INKSCAPE_FLAGS) -e
endif

PDFDIR=../pdf
PNGDIR=../png
EPSDIR=../eps

TPLSVGS=$(shell grep -l '__' *.svg)
SVGS=$(shell grep -L '__' *.svg)
TPLS=$(TPLSVGS:.svg=.tpl)
PDFS=$(addprefix $(PDFDIR)/,$(SVGS:.svg=.pdf)) $(addprefix $(PDFDIR)/,$(TPLS:.tpl=.pdf))
EPSS=$(addprefix $(EPSDIR)/,$(SVGS:.svg=.eps)) $(addprefix $(EPSDIR)/,$(TPLS:.tpl=.eps))
PNGS=$(addprefix $(PNGDIR)/,$(SVGS:.svg=.png)) $(addprefix $(PNGDIR)/,$(TPLS:.tpl=.png))

BDATE := $(shell date +%Y-%m-%d)

first_rule: all

all: check tpl pdf png

.SUFFIXES:
.PHONY:
.DONTCARE:

check:
	$(HIDE)echo "Template SVG files: $(TPLSVGS)"
	$(HIDE)echo "Regular SVG files: $(SVGS)"
	$(HIDE)echo "TPL files to be generated: $(TPLS)"
	$(HIDE)echo "PDFDIR: $(PDFDIR)"
	$(HIDE)echo "PDFs $(PDFS)"
	$(HIDE)echo "EPSDIR: $(EPSDIR)"
	$(HIDE)echo "EPSs: $(EPSS)"
	$(HIDE)echo "PNGDIR: $(PNGDIR)"
	$(HIDE)echo "PNGs: $(PNGS)"
#
# PDF images creation
pdf: $(TEMPLATES) $(PDFS)

tpl: $(TPLS)

$(TPLS): $(VERSION_TEX)

%.tpl: %.svg
	$(HIDE)echo "$< :   Handling version number and date"
	$(HIDE)sed "s/__BVERSION__/`awk '{print $$1}' $(VERSION_TEX)`/g" $< > $@
	$(HIDE)sed -i 's/__BEDITION__/$(BACULAVERSION)/g' $@
	$(HIDE)sed -i 's/__BDATE__/$(BDATE)/g' $@


$(PDFS): | $(PDFDIR)
$(PDFDIR):
	$(HIDE)echo "Creating PDF images directory..."
	$(HIDE)mkdir $(PDFDIR)
	$(HIDE)echo "Done"

$(PDFDIR)/%.pdf: %.tpl
	$(HIDE)echo "Converting $< to $@"
	$(HIDE)$(INKSCAPE) $(SVG_TO_PDF) $@ $< 1>$<.svg_error 2>$<.svg_error

$(PDFDIR)/%.pdf: %.svg
	$(HIDE)echo "$< :   Converting to PDF"
	$(HIDE)$(INKSCAPE) $(SVG_TO_PDF) $@ $<
#
# EPS images creation
eps: $(TEMPLATES) $(EPSS)
$(EPSS): | $(EPSDIR)
$(EPSDIR):
	$(HIDE)echo "Creating EPS images directory..."
	$(HIDE)mkdir $(EPSDIR)
	$(HIDE)echo "Done"

$(EPSDIR)/%.eps: %.tpl
	$(HIDE)echo "Converting $< to $@"
	$(HIDE)$(INKSCAPE) $(SVG_TO_EPS) $@ $< 1>$<.svg_error 2>$<.svg_error

$(EPSDIR)/%.eps: %.svg
	$(HIDE)$(INKSCAPE) $(INKSCAPE_FLAGS) $(SVG_TO_EPS) $(EPSDIR)/$@ $<

#
# PNG images creation
png: $(TEMPLATES) $(PNGS)
$(PNGS): | $(PNGDIR)
$(PNGDIR):
	$(HIDE)echo "Creating PNG images directory..."
	$(HIDE)mkdir $(PNGDIR)
	$(HIDE)echo "Done"

$(PNGDIR)/%.png: %.tpl
	$(HIDE)echo "Converting $< to $@"
	$(HIDE)$(INKSCAPE) $(SVG_TO_PNG) $@ $< 1>$<.svg_error 2>$<.svg_error

$(PNGDIR)/%.png: %.svg
	$(HIDE)$(INKSCAPE) $(INKSCAPE_FLAGS) $(SVG_TO_PNG) $(PNGDIR)/$@ $<

clean:
	$(HIDE)rm -f $(TPLS)
	$(HIDE)(if [ -e $(PDFDIR) ]; then cd $(PDFDIR) ; rm -f $(PDFS); fi)
	$(HIDE)(if [ -e $(EPSDIR) ]; then cd $(EPSDIR) ; rm -f $(EPSS); fi)
	$(HIDE)(if [ -e $(PNGDIR) ]; then cd $(PNGDIR) ; rm -f $(PNGS); fi)
	$(HIDE)rm -f *~ *.svg_error

distclean: clean

=== manuals/en/developers/Makefile ===
include $(GENERAL_MAKEFILE)

=== debian/changelog ===
bacula-doc (15.0.3+debian1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Update gbp.conf for bookworm-backports

 -- Carsten Leonhardt <leo@debian.org>  Fri, 04 Apr 2025 00:47:24 +0200

bacula-doc (15.0.3+debian1-1) unstable; urgency=medium

  [ Sven Hartge ]
  * New upstream version 15.0.3
  * Fix gbp.conf DEFAULT block.
  * Remove patches applied upstream, refresh the rest

  [ Carsten Leonhardt ]
  * Fix missing/confused doc-base files

 -- Carsten Leonhardt <leo@debian.org>  Sat, 29 Mar 2025 00:39:51 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  texlive-latex-extra,
  texlive-latex-recommended (>=2018.20190122),
  texlive-plain-generic,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bacula-team/bacula-docs
 Vcs-Git: https://salsa.debian.org/bacula-team/bacula-docs.git

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 # see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
 export FORCE_SOURCE_DATE := 1
+
+# toggle build to verbose
+export BUILD_VERBOSE := 1
 
 %:
 	dh $@ --no-parallel
